Subject: Re: [jose] JWS header x5c is a JSON array?

From: Mike Jones <[email-masked]>
Date: Tue, 28 Aug 2012 22:48:45 +0000

Thanks for pointing out this wording ambiguity, Hideki.  As you point out - it's not a JSON array - at the JSON level, it's a text string, per http://tools.ietf.org/html/draft-ietf-jose-json-web-signature-03#appendix-B.  I'll reword accordingly in the next revision.

				-- Mike

-----Original Message-----
From: [email-masked] [mailto:[email-masked]] On Behalf Of hideki nara
Sent: Monday, July 16, 2012 10:27 PM
To: [email-masked]
Cc: Jim Schaad
Subject: [jose] JWS header x5c is a JSON arrary?

Hi all,

In http://tools.ietf.org/html/draft-ietf-jose-json-web-signature-03#section-4.1.6
,

"The  certificate or certificate chain is represented as an array of
   certificate values. "

But, Appendix B gives us a text stream which seems to be the same one as the return from "x5u" .
(http://tools.ietf.org/html/draft-ietf-jose-json-web-signature-03#appendix-B )

Am I missing anything between lines ?

I like the same format as the return of x5u anyway.
---
hdknr
_______________________________________________
jose mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/jose